Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang.management
Interface OperatingSystemMXBean

    public interface OperatingSystemMXBean

The management interface for the operating system on which the Java virtual machine is running.

A Java virtual machine has a single instance of the implementation class of this interface. This instance implementing this interface is an MXBean that can be obtained by calling the `ManagementFactory.getOperatingSystemMXBean()` method or from the `platform `MBeanServer`` method.

The `ObjectName` for uniquely identifying the MXBean for the operating system within an MBeanServer is:

> ``java.lang:type=OperatingSystem``

This interface defines several convenient methods for accessing system properties about the operating system on which the Java virtual machine is running.

Since:
  1.5
See Also:
  JMX Specification., Ways to Access MXBeans

Method Summary
`String` | `getArch()` Returns the operating system architecture.
`int` | `getAvailableProcessors()` Returns the number of processors available to the Java virtual machine.
`String` | `getName()` Returns the operating system name.
`String` | `getVersion()` Returns the operating system version.

Method Detail

### getName

    String getName()

  Returns the operating system name. This method is equivalent to `System.getProperty("os.name")`.

  Returns:
    the operating system name.
  Throws:
    `SecurityException` - if a security manager exists and its `checkPropertiesAccess` method doesn't allow access to this system property.
  See Also:
    `SecurityManager.checkPropertyAccess(java.lang.String)`, `System.getProperty(java.lang.String)`

### getArch

    String getArch()

  Returns the operating system architecture. This method is equivalent to `System.getProperty("os.arch")`.

  Returns:
    the operating system architecture.
  Throws:
    `SecurityException` - if a security manager exists and its `checkPropertiesAccess` method doesn't allow access to this system property.
  See Also:
    `SecurityManager.checkPropertyAccess(java.lang.String)`, `System.getProperty(java.lang.String)`

### getVersion

    String getVersion()

  Returns the operating system version. This method is equivalent to `System.getProperty("os.version")`.

  Returns:
    the operating system version.
  Throws:
    `SecurityException` - if a security manager exists and its `checkPropertiesAccess` method doesn't allow access to this system property.
  See Also:
    `SecurityManager.checkPropertyAccess(java.lang.String)`, `System.getProperty(java.lang.String)`

### getAvailableProcessors

    int getAvailableProcessors()

  Returns the number of processors available to the Java virtual machine. This method is equivalent to the `Runtime.availableProcessors()` method.

  This value may change during a particular invocation of the virtual machine.

  Returns:
    the number of processors available to the virtual machine; never smaller than one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.